import { Backend } from "./backend";
import type { BackendSpec } from "./spec";
export declare class DuckDBBackend extends Backend {
    name: string | undefined;
    url: string | undefined;
    db: null;
    conn: null;
    constructor(spec: BackendSpec);
    init(type: any): Promise<void>;
    loadCSVString(name: any, string: any): Promise<this>;
    loadCSVURL(name: any, url: any): Promise<this>;
    execute(q: any, ...args: any[]): Promise<any>;
}
