import { csv } from "d3-fetch";
import { autoType } from "d3-dsv";
import { Backend } from "./backend";
export class URLBackend extends Backend {
    data = null;
    promise = null;
    constructor(spec) {
        super();
        this.promise = csv(spec.url, autoType);
    }
    async execute(q, name) {
        if (this.promise) {
            this.data = await this.promise;
            this.promise = null;
        }
        this.emit("data", this.data, name);
    }
}
