import { InteractionSpec } from "./spec";
export default class Interaction {
    id: string | number;
    source: any;
    target: any;
    m: {
        type: string;
        space?: string | undefined;
    } | undefined;
    type: string | undefined;
    space: string | undefined;
    constructor(spec: InteractionSpec);
    trigger(data: Array<object>, ...args: any[]): void;
    preview(data: Array<object>): void;
}
