export declare enum DTType {
    LITERAL = "literal",
    AST = "ast",
    LIST = "list",
    ANY = "any",
    OPT = "opt",
    FIXEDMULTI = "fixedmulti",
    MULTI = "multi"
}
export interface DiffTreeSpec {
    id: number | string;
    type: DTType;
    children?: Array<DiffTreeSpec>;
    default?: any;
    value?: string;
    delim?: string;
}
export declare const DiffTreeSpec: undefined;
