/** @typedef {typeof __propDef.props}  LineProps */
/** @typedef {typeof __propDef.events}  LineEvents */
/** @typedef {typeof __propDef.slots}  LineSlots */
export default class Line extends SvelteComponentTyped<{
    xAttr: any;
    yAttr: any;
    title: any;
    name: any;
    render?: ((_data: any, name: any) => void) | undefined;
    xDomainMin?: null | undefined;
    xDomainMax?: null | undefined;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
    get render(): (_data: any, name: any) => void;
    /**accessor*/
    set name(arg: any);
    get name(): any;
    /**accessor*/
    set title(arg: any);
    get title(): any;
    /**accessor*/
    set xAttr(arg: any);
    get xAttr(): any;
    /**accessor*/
    set yAttr(arg: any);
    get yAttr(): any;
    /**accessor*/
    set xDomainMin(arg: null);
    get xDomainMin(): null;
    /**accessor*/
    set xDomainMax(arg: null);
    get xDomainMax(): null;
    /**accessor*/
    set undefined(arg: any);
    get undefined(): any;
}
export type LineProps = typeof __propDef.props;
export type LineEvents = typeof __propDef.events;
export type LineSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        xAttr: any;
        yAttr: any;
        title: any;
        name: any;
        render?: ((_data: any, name: any) => void) | undefined;
        xDomainMin?: null | undefined;
        xDomainMax?: null | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
