import Interaction from "./interaction";
class InteractionLibrary {
    iacts = [];
    register(spec) {
        if (spec instanceof Interaction)
            this.iacts.push(spec);
        else
            this.iacts.push(new Interaction(spec));
    }
    registerInteractions(specs) {
        specs.forEach((spec) => this.register(spec));
    }
}
export { Interaction, InteractionLibrary };
